package bandeira.desenho;

import java.awt.Graphics;

public abstract class BaseDesenhoDecorator implements DesenhoDecorator {
    
    private DesenhoDecorator desenho = null;
        
    public BaseDesenhoDecorator(DesenhoDecorator desenho) {
        this.desenho = desenho;
    }
    
    public abstract void desenhaGrafico( Graphics g, int larguraTela, int alturaTela );
    
    @Override
    public void desenha( Graphics g, int larguraTela, int alturaTela ) {
        if ( desenho != null )
            desenho.desenha( g, larguraTela, alturaTela );
        
        this.desenhaGrafico( g, larguraTela, alturaTela ); 
    }
    
}
