package bandeira.desenho;

import java.awt.Color;
import java.awt.Graphics;

public class CirculoDesenho extends BaseDesenhoDecorator {
    
    private final int raio;
    private final Color cor;
    
    public CirculoDesenho( DesenhoDecorator desenho, int raio, Color cor ) {
        super( desenho );
        this.raio = raio;
        this.cor = cor;
    }

    @Override
    public void desenhaGrafico(Graphics g, int larguraTela, int alturaTela) {
        int centroX = larguraTela / 2;
        int centroY = alturaTela / 2;
        
        int x = centroX - raio;
        int y = centroY - raio;
        int larg = raio * 2;
        int alt = raio * 2;
        
        g.setColor( cor ); 
        g.fillArc( x, y, larg, alt, 0, 360 ); 
    }
    
    
}
