package bandeira.desenho;

import java.awt.Color;
import java.awt.Graphics;

public class LosangoDesenho extends BaseDesenhoDecorator {

    private final int largura;
    private final int altura;
    private final Color cor;
            
    public LosangoDesenho( DesenhoDecorator decorator, int largura, int altura, Color cor ) {
        super( decorator );
        this.largura = largura;
        this.altura = altura;
        this.cor = cor;
    }
    
    @Override
    public void desenhaGrafico( Graphics g, int larguraTela, int alturaTela ) {
        int centroX = larguraTela / 2;
        int centroY = alturaTela / 2;
                
        int x1 = centroX - ( largura / 2 );
        int y1 = centroY;
        
        int x2 = centroX;
        int y2 = centroY - ( altura / 2 );
        
        int x3 = centroX + ( largura / 2 );
        int y3 = centroY;
        
        int x4 = centroX;
        int y4 = centroY + ( altura / 2 );
        
        int[] xvetor = { x1, x2, x3, x4 };
        int[] yvetor = { y1, y2, y3, y4 };
        
        g.setColor( cor ); 
        g.fillPolygon( xvetor, yvetor, 4 );        
    }
    
}
