package bandeira.desenho;

import java.awt.Color;
import java.awt.Graphics;

public class RetanguloDesenho extends BaseDesenhoDecorator {
   
    private final int largura;
    private final int altura;
    private final Color cor;
        
    public RetanguloDesenho( DesenhoDecorator desenho, int largura, int altura, Color cor ) {
        super( desenho );
        this.largura = largura;
        this.altura = altura;
        this.cor = cor;
    }
    
    @Override
    public void desenhaGrafico( Graphics g, int larguraTela, int alturaTela ) {
        int centroX = larguraTela / 2;
        int centroY = alturaTela / 2;
        
        int x = centroX - ( largura / 2 );
        int y = centroY - ( altura / 2 );
        
        g.setColor( cor );
        g.fillRect( x, y, largura, altura );
    }
    
}
